Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.java2d.color.profile
Class NamedColorProfile

    java.lang.Object
      org.apache.xmlgraphics.java2d.color.profile.NamedColorProfile

    public class NamedColorProfile

extends java.lang.Object

Simplified in-memory representation of an ICC named color profile.

Constructor Summary
`NamedColorProfile(java.lang.String profileName, java.lang.String copyright, NamedColorSpace[] namedColors, RenderingIntent intent)` Creates a new named color profile.

Method Summary
`java.lang.String` | `getCopyright()` Returns the profile copyright.
`NamedColorSpace` | `getNamedColor(java.lang.String name)` Returns a named color.
`NamedColorSpace[]` | `getNamedColors()` Returns the array of named colors.
`java.lang.String` | `getProfileName()` Returns the profile name.
`RenderingIntent` | `getRenderingIntent()` Returns the color profile's rendering intent.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamedColorProfile

    public NamedColorProfile(java.lang.String profileName,
                             java.lang.String copyright,
                             NamedColorSpace[] namedColors,
                             RenderingIntent intent)

  Creates a new named color profile.

  Parameters:
    `profileName` - the profile name
    `copyright` - the copyright
    `namedColors` - the array of named colors
    `intent` - the rendering intent

Method Detail

### getRenderingIntent

    public RenderingIntent getRenderingIntent()

  Returns the color profile's rendering intent.

  Returns:
    the rendering intent (See `ICC_Profile`.ic*)

### getNamedColors

    public NamedColorSpace[] getNamedColors()

  Returns the array of named colors.

  Returns:
    the array of named colors

### getNamedColor

    public NamedColorSpace getNamedColor(java.lang.String name)

  Returns a named color.

  Parameters:
    `name` - the color name
  Returns:
    the named color (or null if it is not available)

### getProfileName

    public java.lang.String getProfileName()

  Returns the profile name.

  Returns:
    the profile name

### getCopyright

    public java.lang.String getCopyright()

  Returns the profile copyright.

  Returns:
    the profile copyright

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.